package cz.zcu.kiv;
/**
 * This class only for easy representation of three Strings in memory. 
 * It is used to transmit parameters between RDFmaker and Jena. 
 * The boolean is due to bug in SAX parser, which sometimes parse one element 
 * in XML more times.
 * @author Hain
 *
 */
class Element {
	
	private String subject;
	private String predicate;
	private String object;
	private boolean resource;
	
	/**
	 * Constructor.
	 * @param subjectN Subject.
	 * @param predicateN Predicate.
	 * @param objectN Object.
	 * @param resourceN Resource
	 */
	Element(String subjectN, String predicateN, String objectN, boolean resourceN){
		this.subject = subjectN;
		this.predicate = predicateN;
		this.object = objectN;
		this.resource = resourceN;
	}
	/**
	 * Subject getter.
	 * @return Subject.
	 */
	String getSubject() {
		return this.subject;
	}
	/**
	 * Predicate getter.
	 * @return Predicate.
	 */
	String getPredicate() {
		return this.predicate;
	}
	/**
	 * Object getter.
	 * @return Object.
	 */
	String getObject() {
		return this.object;
	}
	/**
	 * Resource getter.
	 * @return Resource.
	 */
	boolean getResource() {
		return this.resource;
	}

	@Override
	public String toString() {
		return this.subject + " " + this.predicate + " " + this.object;
	}
}