package cz.zcu.kiv;


import java.util.LinkedList;
import com.hp.hpl.jena.rdf.model.Model;
import com.hp.hpl.jena.rdf.model.ModelFactory;
import com.hp.hpl.jena.rdf.model.Property;
import com.hp.hpl.jena.rdf.model.Resource;
import com.hp.hpl.jena.rdf.model.ResourceFactory;
/**
 * This class is making RDF model from given Elements.
 * @author Hain
 *
 */
class Jena {
	/**
	 * This method is making RDF model from given Elements.
	 * @param list List of elements.
	 * @param namespace Namespace.
	 * @param relation Relation.
	 * @return RDF model.
	 * @throws Exception
	 */
	@SuppressWarnings("static-method")
	Model createRDF(LinkedList<Element> list, String namespace, String relation) throws Exception{
		Model model = ModelFactory.createDefaultModel();
		model.setNsPrefix(namespace, relation);
		int counter  = 1;
		
		Element aktualni = null;
		while(list.isEmpty() == false){
			aktualni = list.pollFirst();
			
			Resource q = model.createResource(aktualni.getSubject());
			Property qq = ResourceFactory.createProperty(relation, aktualni.getPredicate());

			if(model.getNsPrefixMap().containsValue(qq.getNameSpace()) == false){
				model.setNsPrefix(namespace + "" + counter, qq.getNameSpace());
				counter++;
			}
				
			if(aktualni.getResource()){
				q.addProperty(qq, model.createResource(aktualni.getObject()));
			} else{
				q.addProperty(qq, aktualni.getObject());
			}
			
		}
		return model;
	}
}
