package cz.zcu.kiv;

import java.util.LinkedList;
import org.xml.sax.Attributes;
/**
 * This class is used to represent all information from XML parser SAX.
 * @author Masopust
 *
 */
class Tag {
	/**
	 * Tag name.
	 */
	private String name;
	/**
	 * Tag URI.
	 */
	private String ownURI;
	/**
	 * URIs children.
	 */
	private LinkedList<URI> listURIsChildren;
	/**
	 * Attributes.
	 */
	private Attributes attributes;
	
	/**
	 * Constructor.
	 * @param nameoN Tag name.
	 * @param ownURIN Tag URI.
	 */
	Tag(String nameoN, String ownURIN){
		this.name = nameoN;
		this.ownURI = ownURIN;
		this.listURIsChildren = new LinkedList<URI>();
	}
	
	/**
	 * Constructor.
	 * @param copy Copy of existing tag.
	 */
	Tag(Tag copy){
		this.name = copy.getName();
		this.ownURI = copy.getOwnURI();
		this.listURIsChildren = copy.getListURIsChildren();
		this.attributes = copy.getAttributes();
	}
	/**
	 * Attributes getter.
	 * @return
	 */
	Attributes getAttributes() {
		return this.attributes;
	}
	/**
	 * Attributes setter.
	 * @param atributesN New attributes.
	 */
	void setAttributes(Attributes atributesN) {
		this.attributes = atributesN;
	}
	/**
	 * Name getter.
	 * @return Tag name.
	 */
	String getName() {
		return this.name;
	}
	/**
	 * Name setter.
	 * @param nameN New name.
	 */
	void setName(String nameN) {
		this.name = nameN;
	}
	/**
	 * URI getter.
	 * @return URI.
	 */
	String getOwnURI() {
		return this.ownURI;
	}
	/**
	 * URI setter.
	 * @param ownURIN New URI.
	 */
	void setOwnURI(String ownURIN) {
		this.ownURI = ownURIN;
	}
	/**
	 * URIs children getter.
	 * @return URIs children.
	 */
	LinkedList<URI> getListURIsChildren() {
		return this.listURIsChildren;
	}
	/**
	 * URIs children setter.
	 * @param listURIsChildrenN new URIs children.
	 */
	void setListURIsChildren(LinkedList<URI> listURIsChildrenN) {
		this.listURIsChildren = listURIsChildrenN;
	}
	
	@Override
	public String toString() {
		return this.name;
	}
}