package cz.zcu.kiv.eegdsp.utils;

/**
 * Sttaic math operation class.
 * 
 * @author Petr Soukal, Tom ondk
 */
public class Mathematic
{
	/**
	 * Two.
	 */
	public final static int CONST_2 = 2;
	
	/**
	 * Zero.
	 */
	public final static int ZERO = 0;
	
	/**
	 * Logarithm with base 2.
	 * 
	 * @param x argument x
	 * @return log2(x)
	 */
	public static double log2(int x){
		double log2 = Math.log(x)/Math.log(CONST_2);
		
		return log2;
	}
	
	/**
	 * Gets nearest bigger power of 2 to number x
	 * or x if x is power of 2 itself.
	 * 
	 * @param x start of power of 2 search
	 * @return nearest power of 2 from x up
	 */
	public static int newMajorNumberOfPowerBase2(int x){
		double number = log2(x);
		int temp = (int)number;
		
		if(number%temp == 0)		
			return x;
		else
		{
			temp += 1;
			int newNumber = (int) Math.pow(CONST_2, temp);
			return newNumber;
		}
	}
	
	/**
	 * Gets nearest smaller power of 2 to number x
	 * or x if x is power of 2 itself.
	 * 
	 * @param x start of power of 2 search
	 * @return nearest power of 2 from x down
	 */
	public static int newMinorNumberOfPowerBase2(int x){
		double number = (int)log2(x);
		
		return (int) Math.pow(CONST_2, number);
	}
	
	/**
	 * Gets function value of Gauss Window (relation: <code>e^(-pi * t^2))</code> in time <code>t</code>.
	 * @param t time for value as a argument of Gauss function <code>e^(-pi * t^2))</code>
	 * @return function value in time <code>t</code>.
	 */
	public static double valueOfGaussianWindow(double t)
	{
		return Math.exp(-Math.PI * Math.pow(t, 2));
	}
	
	/**
	 * Private constructor of static class.
	 */
	private Mathematic() { 
		
	}
}
