package cz.zcu.kiv.eegdsp.wavelet.common;

import cz.zcu.kiv.eegdsp.common.ISignalProcessingResult;

/**
 * Common result of wavelet transformations.
 * 
 * @author Petr Kellnhofer, A10N0018P
 * @date 2.1.2011
 *
 */
public abstract class WaveletResult implements ISignalProcessingResult {
	
	/**
	 * Packs doubles to Doubles.
	 * 
	 * @param data
	 * @return
	 */
	protected Double[][] packArray(double[][] data) {
		Double[][] res = new Double[data.length][data[0].length];
		
		for (int i = 0; i < data.length; i++) {
			for (int j = 0; j < data[0].length; j++) {
				res[i][j] = Double.valueOf(data[i][j]);
			}
		}
		
		return res;
	}
	
	/**
	 * Packs doubles to Doubles.
	 * 
	 * @param data
	 * @return
	 */
	protected Double[] packArray(double[] data) {
		Double[] res = new Double[data.length];
		
		for (int i = 0; i < data.length; i++) {
			res[i] = Double.valueOf(data[i]);
		}
		
		return res;
	}
	
	/**
	 * Packs int to Doubles.
	 * 
	 * @param data
	 * @return
	 */
	protected Double[] packArray(int[] data) {
		Double[] res = new Double[data.length];
		
		for (int i = 0; i < data.length; i++) {
			res[i] = Double.valueOf(data[i]);
		}
		
		return res;
	}
}
