package cz.zcu.kiv.eegdsp.wavelet.common;

import cz.zcu.kiv.eegdsp.common.ISignalProcessor;

/**
 * Common execution class of wavelet transformations.
 * 
 * @author Petr Kellnhofer, A10N0018P
 * @date 2.1.2011
 *
 */
public abstract class WaveletTransformation implements ISignalProcessor {
	/**
	 * Processes signal.
	 * 
	 * @param signal input signal
	 * @return result.
	 */
	@Override
	public abstract WaveletResult processSignal(double[] signal);
	
	/**
	 * Gets generator of wavelets.
	 * 
	 * @return generator of wavelets.
	 */
	public abstract WaveletGenerator getWaveletGenerator();
}
