package cz.zcu.kiv.eegdsp.wavelet.continuous.algorithm.wavelets;

/**
 * ComplexGaussian wavelet.
 */
public class ComplexGaussian extends WaveletCWT
{
	/**
	 * Name of wavelet.
	 */
	private final static String NAME = "Complex_Gaussian";
	
	/**
	 * Main legth of wavelet.
	 */
	private final static int MAIN_LENGTH = 16;
	
	/**
	 * Wavelet contructor.
	 */
	public ComplexGaussian()
	{
		super(NAME, MAIN_LENGTH);
	}
	
	/**
     * Real part of mother wavelet.
     * 
     * @param t time
     * @param a dilatation
     * @return real part of mother wavelet
     */
	@Override
	public double reCoef(double t, double a)
	{
		double tPow2 = t*t;
		
		return (1.0/Math.sqrt(a))*Math.exp(-tPow2)*(-Math.sin(t)-(2.0 * t * Math.cos(t))); 
	}
	
	/**
     * Imaginary part of mother wavelet.
     * 
     * @param t time
     * @param a dilatation
     * @return imaginary part of mother wavelet
     */
	@Override
	public double imCoef(double t, double a)
	{
		double tPow2 = t*t;
		
		return (1.0/Math.sqrt(a))*Math.exp(-tPow2)*(-Math.cos(t)+(2.0 * t * Math.sin(t))); 
	}	
}
