package cz.zcu.kiv.eegdsp.wavelet.continuous.algorithm.wavelets;

/**
 * Morlet wavelet.
 */
public class Morlet extends WaveletCWT
{
	/**
	 * Name of wavelet.
	 */
	private final static String NAME = "Morlet";
	
	/**
	 * Main legth of wavelet.
	 */
	private final static int MAIN_LENGTH = 16;
	
	/**
	 * Wavelet contructor.
	 */
	public Morlet()
	{
		super(NAME, MAIN_LENGTH);
	}
	
	/**
     * Real part of mother wavelet.
     * 
     * @param t time
     * @param a dilatation
     * @return real part of mother wavelet
     */
	@Override
	public double reCoef(double t, double a)
	{
		double tPow2 = t*t;
		
		return (1.0/Math.sqrt(a))*Math.cos(5*t)*Math.exp(-tPow2/2); 
	}
	
	/**
     * Imaginary part of mother wavelet.
     * 
     * @param t time
     * @param a dilatation
     * @return imaginary part of mother wavelet
     */
	@Override
	public double imCoef(double t, double a)
	{
		return 0;
	}
}
