package cz.zcu.kiv.eegdsp.wavelet.discrete.algorithm.wavelets;

/**
 * Class of Coiflet6 discrete wavelet.
 * Contains all necessary coefficients for direct and inverse transformation.
 */
public class Coiflet6 extends WaveletDWT
{
	/**
	 * Name of wavelet.
	 */
	private final static String NAME = "Coiflet_6";
	
	/**
	 * Scale coefficients.
	 */
	private final static double[] SCALE = {-7.27326195125265103E-02,
											3.37897662457481832E-01,
											8.52572020211597717E-01,
											3.84864846864857623E-01,
										   -7.27326195125265103E-02,
										   -1.56557281357920009E-02};
	
	/**
	 * Wavelet coefficients.
	 */
	private final static double[] WAVELET = {	-SCALE[5], SCALE[4], 
												-SCALE[3], SCALE[2], 
												-SCALE[1], SCALE[0]};


	
	/**
	 * Scale coefficients for inverse transformation.
	 */
	private final static double[] I_SCALE = {	SCALE[4], WAVELET[4], 
												SCALE[2], WAVELET[2], 
												SCALE[0], WAVELET[0]};
	
	/**
	 * Wavelet coefficients for inverse transformation.
	 */
	private final static double[] I_WAVELET = {	SCALE[5], WAVELET[5], 
												SCALE[3], WAVELET[3], 
												SCALE[1], WAVELET[1]};
	
	
	/**
	 * Wavelet Coiflet6 constructor.
	 */
	public Coiflet6()
	{
		super(NAME, SCALE, WAVELET, I_SCALE, I_WAVELET);
	}
}
