package cz.zcu.kiv.eegdsp.wavelet.discrete.algorithm.wavelets;

/**
 * Class of Haar discrete wavelet.
 * Contains all necessary coefficients for direct and inverse transformation.
 */
public class Haar extends WaveletDWT
{
	/**
	 * Name of wavelet.
	 */
	private static final String NAME = "Haar";
	
	/**
	 * Scale coefficients.
	 */
	private static final double[] SCALE = {1.0 / Math.sqrt(2), 1.0 / Math.sqrt(2)};
	
	/**
	 * Wavelet coefficients.
	 */
	private static final double[] WAVELET = {-SCALE[1], SCALE[0]};
	
	/**
	 * Scale coefficients for inverse transformation.
	 */
	private static final double[] I_SCALE = { SCALE[0], WAVELET[0]};
	
	/**
	 * Wavelet coefficients for inverse transformation.
	 */
	private static final double[] I_WAVELET = { SCALE[1], WAVELET[1]};
	
	/**
	 * Wavelet Haar constructor.
	 */
	public Haar()
	{
		super(NAME, SCALE, WAVELET, I_SCALE, I_WAVELET);
	}
}
