package cz.zcu.kiv.eegdsp.wavelet.discrete.algorithm.wavelets;


/**
 * Tda waveletu Symmlet4.
 * Obsahuje veker koeficienty pro dopednou i inverzn
 * diskrtn waveletovou transformaci.
 */
public class Symmlet4 extends WaveletDWT
{
	
	/**
	 * Name of wavelet.
	 */
	private final static String NAME = "Symmlet_4";
	
	/**
	 * Scale coefficients.
	 */
	private static final double[] SCALE = {	4.82968073686035690E-01,
											8.36521464279309452E-01,
											2.24138707500511834E-01,
											-1.29409026238512436E-01};
	
	/**
	 * Wavelet coefficients.
	 */
	private static final double[] WAVELET = {	-SCALE[3], SCALE[2], 
												-SCALE[1], SCALE[0]};
	
	/**
	 * Scale coefficients for inverse transformation.
	 */
	private static final double[] I_SCALE = {	SCALE[2], WAVELET[2], 
												SCALE[0], WAVELET[0]};
	
	/**
	 * Wavelet coefficients for inverse transformation.
	 */
	private static final double[] I_WAVELET = {	SCALE[3], WAVELET[3], 
												SCALE[1], WAVELET[1]};
	
	/**
	 * Wavelet Symmlet4 constructor.
	 */
	public Symmlet4()
	{
		super(NAME, SCALE, WAVELET, I_SCALE, I_WAVELET);
	}
}
