package cz.zcu.kiv.eegdsp.wavelet.discrete.algorithm.wavelets;


/**
 * Class of Symmlet8 discrete wavelet.
 * Contains all necessary coefficients for direct and inverse transformation.
 */
public class Symmlet8 extends WaveletDWT
{
	
	/**
	 * Name of wavelet.
	 */
	private final static String NAME = "Symmlet_8";
	
	/**
	 * Scale coefficients.
	 */
	private static final double[] SCALE = {	0.0322231006040782,
											-0.0126039672622638,
											-0.0992195435769564,
											0.297857795605605,
											0.803738751805386,
											0.497618667632563,
											-0.0296355276459604,
											-0.0757657147893567 };
	
	/**
	 * Wavelet coefficients.
	 */
	private static final double[] WAVELET = {	-SCALE[7], SCALE[6], -SCALE[5], 
												SCALE[4], -SCALE[3], SCALE[2], 
												-SCALE[1], SCALE[0]};
	
	/**
	 * Scale coefficients for inverse transformation.
	 */
	private static final double[] I_SCALE = {SCALE[6], WAVELET[6], 
											SCALE[4], WAVELET[4], 
											SCALE[2], WAVELET[2], 
											SCALE[0], WAVELET[0]};
	
	/**
	 * Wavelet coefficients for inverse transformation.
	 */
	private static final double[] I_WAVELET = {	SCALE[7], WAVELET[7], 
												SCALE[5], WAVELET[5], 
												SCALE[3], WAVELET[3], 
												SCALE[1], WAVELET[1]};
	
	/**
	 * Wavelet Symmlet8 constructor.
	 */
	public Symmlet8()
	{
		super(NAME, SCALE, WAVELET, I_SCALE, I_WAVELET);
	}
}
