-- bylo nutne prejmenovat constraints v databazi ze tvaru "SYS_C00#####" na pojmenovane constraints, aby fungovaly tyto skripty
-- protoze jsou cisla constraints generovana databazi, nelze na ne primo napsat skript
-- skript tedy predpoklada spravne pojmenovane constraints pro cizi klice

ALTER TABLE "COEXPERIMENTER_REL" DROP CONSTRAINT "STAFF_MEASURATION_ID_FK";
ALTER TABLE "COEXPERIMENTER_REL" ADD CONSTRAINT "STAFF_MEASURATION_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE;

ALTER TABLE "HARDWARE_USAGE_REL" DROP CONSTRAINT "USED_HARDWARE_ID_FK";
ALTER TABLE "HARDWARE_USAGE_REL" ADD CONSTRAINT "USED_HARDWARE_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE;

ALTER TABLE "DATA_FILE" DROP CONSTRAINT "MEASURATION_ID_FK";
ALTER TABLE "DATA_FILE" ADD CONSTRAINT "MEASURATION_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE;

ALTER TABLE "EXPERIMENT_OPT_PARAM_VAL" DROP CONSTRAINT "MEAS_ADD_PARAMS_VAL_ID_FK";
ALTER TABLE "EXPERIMENT_OPT_PARAM_VAL" ADD CONSTRAINT "MEAS_ADD_PARAMS_VAL_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE;

ALTER TABLE "HEARING_IMPAIRMENT_REL" DROP CONSTRAINT "PERSON_HEARING_DEFECT_ID_FK";
ALTER TABLE "HEARING_IMPAIRMENT_REL" ADD CONSTRAINT "PERSON_HEARING_DEFECT_ID_FK" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE;

ALTER TABLE "VISUAL_IMPAIRMENT_REL" DROP CONSTRAINT "PERSON_EYES_DEFECT_ID_FK";
ALTER TABLE "VISUAL_IMPAIRMENT_REL" ADD CONSTRAINT "PERSON_EYES_DEFECT_ID_FK" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE;

ALTER TABLE "PERSON_OPT_PARAM_VAL" DROP CONSTRAINT "PERSON_ID_ADD_PARAMS_VAL_FK";
ALTER TABLE "PERSON_OPT_PARAM_VAL" ADD CONSTRAINT "PERSON_ID_ADD_PARAMS_VAL_FK" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE;

ALTER TABLE "RESEARCH_GROUP_MEMBERSHIP" DROP CONSTRAINT "MEMBER_PERSON_ID";
ALTER TABLE "RESEARCH_GROUP_MEMBERSHIP" ADD CONSTRAINT "MEMBER_PERSON_ID" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE;

ALTER TABLE "GROUP_PERMISSION_REQUEST" DROP CONSTRAINT "PERSON_PERMISSION_REQUEST";
ALTER TABLE "GROUP_PERMISSION_REQUEST" ADD CONSTRAINT "PERSON_PERMISSION_REQUEST" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE;

ALTER TABLE "FILE_METADATA_PARAM_VAL" DROP CONSTRAINT "FILE_METADATA_ID_FK";
ALTER TABLE "FILE_METADATA_PARAM_VAL" ADD CONSTRAINT "FILE_METADATA_ID_FK" FOREIGN KEY ("DATA_FILE_ID") REFERENCES "DATA_FILE" ("DATA_FILE_ID")  ON DELETE CASCADE;

ALTER TABLE "ARTICLES" DROP CONSTRAINT "GROUP_OWNER";
ALTER TABLE "ARTICLES" ADD CONSTRAINT "GROUP_OWNER" FOREIGN KEY ("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID")  ON DELETE CASCADE;

ALTER TABLE "PERSON" DROP CONSTRAINT "DEFAULT_GROUP";
ALTER TABLE "PERSON" ADD CONSTRAINT "DEFAULT_GROUP" FOREIGN KEY ("DEFAULT_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID")  ON DELETE SET NULL;

ALTER TABLE "GROUP_PERMISSION_REQUEST" DROP CONSTRAINT "GROUP_REQUEST";
ALTER TABLE "GROUP_PERMISSION_REQUEST" ADD CONSTRAINT "GROUP_REQUEST" FOREIGN KEY ("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID")  ON DELETE CASCADE;
