ALTER TABLE "COEXPERIMENTER_REL" ADD CONSTRAINT "STAFF_MEASURATION_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE
;

ALTER TABLE "HARDWARE_USAGE_REL" ADD CONSTRAINT "USED_HARDWARE_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE
;

ALTER TABLE "DATA_FILE" ADD CONSTRAINT "MEASURATION_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE
;

ALTER TABLE "EXPERIMENT_OPT_PARAM_VAL" ADD CONSTRAINT "MEAS_ADD_PARAMS_VAL_ID_FK" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID")  ON DELETE CASCADE
;

ALTER TABLE "HISTORY" ADD CONSTRAINT "RELATIONSHIP43" FOREIGN KEY ("EXPERIMENT_ID") REFERENCES "EXPERIMENT" ("EXPERIMENT_ID") 
;

ALTER TABLE "COEXPERIMENTER_REL" ADD CONSTRAINT "STAFF_PERSON_ID_FK" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "EXPERIMENT" ADD CONSTRAINT "MEASURED_ID_FK" FOREIGN KEY ("OWNER_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "HEARING_IMPAIRMENT_REL" ADD CONSTRAINT "PERSON_HEARING_DEFECT_ID_FK" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE
;

ALTER TABLE "VISUAL_IMPAIRMENT_REL" ADD CONSTRAINT "PERSON_EYES_DEFECT_ID_FK" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE
;

ALTER TABLE "PERSON_OPT_PARAM_VAL" ADD CONSTRAINT "PERSON_ID_ADD_PARAMS_VAL_FK" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE
;

ALTER TABLE "RESEARCH_GROUP" ADD CONSTRAINT "OWNER_OF_GROUP" FOREIGN KEY ("OWNER_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "RESEARCH_GROUP_MEMBERSHIP" ADD CONSTRAINT "MEMBER_PERSON_ID" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE
;

ALTER TABLE "EXPERIMENT" ADD CONSTRAINT "MEASURATION_OWNER" FOREIGN KEY ("SUBJECT_PERSON_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "SCENARIO" ADD CONSTRAINT "SCENARIO_OWNER" FOREIGN KEY ("OWNER_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "HISTORY" ADD CONSTRAINT "RELATIONSHIP45" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "ARTICLES_COMMENTS" ADD CONSTRAINT "OPINIONS_OWNER" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "GROUP_PERMISSION_REQUEST" ADD CONSTRAINT "PERSON_PERMISSION_REQUEST" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID")  ON DELETE CASCADE
;

ALTER TABLE "ARTICLES" ADD CONSTRAINT "ARTICLE_OWNER" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "ARTICLES_SUBSCRIBTIONS" ADD CONSTRAINT "ARTICLE_PERSON" FOREIGN KEY ("PERSON_ID") REFERENCES "PERSON" ("PERSON_ID") 
;

ALTER TABLE "EXPERIMENT" ADD CONSTRAINT "SCENARIO_ID_FK" FOREIGN KEY ("SCENARIO_ID") REFERENCES "SCENARIO" ("SCENARIO_ID") 
;

ALTER TABLE "HISTORY" ADD CONSTRAINT "DOWNLOADED_SCENARIOS" FOREIGN KEY ("SCENARIO_ID") REFERENCES "SCENARIO" ("SCENARIO_ID") 
;

ALTER TABLE "HARDWARE_USAGE_REL" ADD CONSTRAINT "HARDWARE_ID_FK" FOREIGN KEY ("HARDWARE_ID") REFERENCES "HARDWARE" ("HARDWARE_ID") 
;

ALTER TABLE "FILE_METADATA_PARAM_VAL" ADD CONSTRAINT "FILE_METADATA_ID_FK" FOREIGN KEY ("DATA_FILE_ID") REFERENCES "DATA_FILE" ("DATA_FILE_ID")  ON DELETE CASCADE
;

ALTER TABLE "HISTORY" ADD CONSTRAINT "DOWNLOADED_DATA" FOREIGN KEY ("DATA_FILE_ID") REFERENCES "DATA_FILE" ("DATA_FILE_ID") 
;

ALTER TABLE "EXPERIMENT" ADD CONSTRAINT "WEATHER_ID_FK" FOREIGN KEY ("WEATHER_ID") REFERENCES "WEATHER" ("WEATHER_ID") 
;

ALTER TABLE "HEARING_IMPAIRMENT_REL" ADD CONSTRAINT "HEARING_DEFECT_ID_FK" FOREIGN KEY ("HEARING_IMPAIRMENT_ID") REFERENCES "HEARING_IMPAIRMENT" ("HEARING_IMPAIRMENT_ID") 
;

ALTER TABLE "VISUAL_IMPAIRMENT_REL" ADD CONSTRAINT "EYES_DEFECT_FK" FOREIGN KEY ("VISUAL_IMPAIRMENT_ID") REFERENCES "VISUAL_IMPAIRMENT" ("VISUAL_IMPAIRMENT_ID") 
;

ALTER TABLE "PERSON_OPT_PARAM_VAL" ADD CONSTRAINT "PERSON_ADDITIONAL_PARAM_ID_FK" FOREIGN KEY ("PERSON_OPT_PARAM_DEF_ID") REFERENCES "PERSON_OPT_PARAM_DEF" ("PERSON_OPT_PARAM_DEF_ID") 
;

ALTER TABLE "EXPERIMENT_OPT_PARAM_VAL" ADD CONSTRAINT "MEAS_ADD_PARAM_ID_FK" FOREIGN KEY ("EXPERIMENT_OPT_PARAM_DEF_ID") REFERENCES "EXPERIMENT_OPT_PARAM_DEF" ("EXPERIMENT_OPT_PARAM_DEF_ID") 
;

ALTER TABLE "FILE_METADATA_PARAM_VAL" ADD CONSTRAINT "FILE_METADATA_PARAMS_ID_FK" FOREIGN KEY ("FILE_METADATA_PARAM_DEF_ID") REFERENCES "FILE_METADATA_PARAM_DEF" ("FILE_METADATA_PARAM_DEF_ID") 
;

ALTER TABLE "RESEARCH_GROUP_MEMBERSHIP" ADD CONSTRAINT "MEMBER_GROUP_ID" FOREIGN KEY ("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID") 
;

ALTER TABLE "SCENARIO" ADD CONSTRAINT "INSERTED_IN_GROUP" FOREIGN KEY ("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID") 
;

ALTER TABLE "EXPERIMENT" ADD CONSTRAINT "EXPERIMENT_OWNER" FOREIGN KEY ("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID") 
;

ALTER TABLE "ARTICLES" ADD CONSTRAINT "GROUP_OWNER" FOREIGN KEY ("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID")  ON DELETE CASCADE
;

ALTER TABLE "PERSON" ADD CONSTRAINT "DEFAULT_GROUP" FOREIGN KEY ("DEFAULT_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID")  ON DELETE SET NULL
;

ALTER TABLE "GROUP_PERMISSION_REQUEST" ADD CONSTRAINT "GROUP_REQUEST" FOREIGN KEY ("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP" ("RESEARCH_GROUP_ID")  ON DELETE CASCADE
;

ALTER TABLE "ARTICLES_COMMENTS" ADD CONSTRAINT "ARTICLES_COMMENT" FOREIGN KEY ("ARTICLE_ID") REFERENCES "ARTICLES" ("ARTICLE_ID") 
;

ALTER TABLE "ARTICLES_SUBSCRIBTIONS" ADD CONSTRAINT "ARTICLES_PERSON" FOREIGN KEY ("ARTICLE_ID") REFERENCES "ARTICLES" ("ARTICLE_ID") 
;

ALTER TABLE "ARTICLES_COMMENTS" ADD CONSTRAINT "CHILD_RELATIONSHIP" FOREIGN KEY ("PARENT_ID") REFERENCES "ARTICLES_COMMENTS" ("COMMENT_ID") 
;

ALTER TABLE "SCENARIO" ADD CONSTRAINT "SCENARIO_SCENARIO_TYPE_PA_FK1" FOREIGN KEY ("SCENARIO_ID") REFERENCES "SCENARIO_TYPE_PARENT" ("SCENARIO_ID") 
;
