CREATE TABLE "WEATHER_GROUP_REL"
(	"WEATHER_ID" NUMBER NOT NULL,
"RESEARCH_GROUP_ID" NUMBER NOT NULL,
CONSTRAINT "REL_WEATHER_GROUP_PK" PRIMARY KEY("WEATHER_ID","RESEARCH_GROUP_ID"),
CONSTRAINT "REL_WEATHER_FK" FOREIGN KEY("WEATHER_ID") REFERENCES "WEATHER"("WEATHER_ID"),
CONSTRAINT "REL_WEATHER_GROUP_FK" FOREIGN KEY("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP"("RESEARCH_GROUP_ID")
);

CREATE TABLE "HARDWARE_GROUP_REL"
(	"HARDWARE_ID" NUMBER NOT NULL,
"RESEARCH_GROUP_ID" NUMBER NOT NULL,
CONSTRAINT "REL_HARDWARE_GROUP_PK" PRIMARY KEY("HARDWARE_ID","RESEARCH_GROUP_ID"),
CONSTRAINT "REL_HARDWARE_FK" FOREIGN KEY("HARDWARE_ID") REFERENCES "HARDWARE"("HARDWARE_ID"),
CONSTRAINT "REL_HARDWARE_GROUP_FK" FOREIGN KEY("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP"("RESEARCH_GROUP_ID")
);

CREATE TABLE "FILE_METADATA_PARAM_GROUP_REL"
(	"FILE_METADATA_PARAM_DEF_ID" NUMBER NOT NULL,
"RESEARCH_GROUP_ID" NUMBER NOT NULL,
CONSTRAINT "REL_FILE_METADATA_GROUP_PK" PRIMARY KEY("FILE_METADATA_PARAM_DEF_ID","RESEARCH_GROUP_ID"),
CONSTRAINT "REL_FILE_METADATA_FK" FOREIGN KEY("FILE_METADATA_PARAM_DEF_ID") REFERENCES "FILE_METADATA_PARAM_DEF"("FILE_METADATA_PARAM_DEF_ID"),
CONSTRAINT "REL_FILE_METADATA_GROUP_FK" FOREIGN KEY("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP"("RESEARCH_GROUP_ID")
);

CREATE TABLE "EXPERIMENT_OPT_PARAM_GROUP_REL"
(	"EXPERIMENT_OPT_PARAM_DEF_ID" NUMBER NOT NULL,
"RESEARCH_GROUP_ID" NUMBER NOT NULL,
CONSTRAINT "REL_EXPERIMENT_OPT_GROUP_PK" PRIMARY KEY("EXPERIMENT_OPT_PARAM_DEF_ID","RESEARCH_GROUP_ID"),
CONSTRAINT "REL_EXPERIMENT_OPT_FK" FOREIGN KEY("EXPERIMENT_OPT_PARAM_DEF_ID") REFERENCES "EXPERIMENT_OPT_PARAM_DEF"("EXPERIMENT_OPT_PARAM_DEF_ID"),
CONSTRAINT "REL_EXPERIMENT_OPT_GROUP_FK" FOREIGN KEY("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP"("RESEARCH_GROUP_ID")
);

CREATE TABLE "HEARING_IMPAIRMENT_GROUP_REL"
(	"HEARING_IMPAIRMENT_ID" NUMBER NOT NULL,
"RESEARCH_GROUP_ID" NUMBER NOT NULL,
CONSTRAINT "REL_HEARING_GROUP_PK" PRIMARY KEY("HEARING_IMPAIRMENT_ID","RESEARCH_GROUP_ID"),
CONSTRAINT "REL_HEARING_FK" FOREIGN KEY("HEARING_IMPAIRMENT_ID") REFERENCES "HEARING_IMPAIRMENT"("HEARING_IMPAIRMENT_ID"),
CONSTRAINT "REL_HEARING_GROUP_FK" FOREIGN KEY("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP"("RESEARCH_GROUP_ID")
);

CREATE TABLE "VISUAL_IMPAIRMENT_GROUP_REL"
(	"VISUAL_IMPAIRMENT_ID" NUMBER NOT NULL,
"RESEARCH_GROUP_ID" NUMBER NOT NULL,
CONSTRAINT "REL_VISUAL_GROUP_PK" PRIMARY KEY("VISUAL_IMPAIRMENT_ID","RESEARCH_GROUP_ID"),
CONSTRAINT "REL_VISUAL_FK" FOREIGN KEY("VISUAL_IMPAIRMENT_ID") REFERENCES "VISUAL_IMPAIRMENT"("VISUAL_IMPAIRMENT_ID"),
CONSTRAINT "REL_VISUAL_GROUP_FK" FOREIGN KEY("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP"("RESEARCH_GROUP_ID")
);

CREATE TABLE "PERSON_OPT_PARAM_GROUP_REL"
(	"PERSON_OPT_PARAM_DEF_ID" NUMBER NOT NULL,
"RESEARCH_GROUP_ID" NUMBER NOT NULL,
CONSTRAINT "REL_PERSON_OPT_GROUP_PK" PRIMARY KEY("PERSON_OPT_PARAM_DEF_ID","RESEARCH_GROUP_ID"),
CONSTRAINT "REL_PERSON_OPT_FK" FOREIGN KEY("PERSON_OPT_PARAM_DEF_ID") REFERENCES "PERSON_OPT_PARAM_DEF"("PERSON_OPT_PARAM_DEF_ID"),
CONSTRAINT "REL_PERSON_OPT_GROUP_FK" FOREIGN KEY("RESEARCH_GROUP_ID") REFERENCES "RESEARCH_GROUP"("RESEARCH_GROUP_ID")
);

