/*******************************************************************************
 * This file is part of the EEG-database project
 * 
 *   ==========================================
 *  
 *   Copyright (C) 2013 by University of West Bohemia (http://www.zcu.cz/en/)
 *  
 *  ***********************************************************************************************************************
 *  
 *   Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *   the License. You may obtain a copy of the License at
 *  
 *       http://www.apache.org/licenses/LICENSE-2.0
 *  
 *   Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 *   an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 *   specific language governing permissions and limitations under the License.
 *  
 *  ***********************************************************************************************************************
 *  
 *   ExperimentOptParamDef.java, 2013/10/02 00:01 Jakub Rinkes
 ******************************************************************************/
package cz.zcu.kiv.eegdatabase.data.pojo;
// Generated 19.1.2010 23:18:53 by Hibernate Tools 3.2.1.GA

import cz.zcu.kiv.eegdatabase.data.annotation.SolrField;
import cz.zcu.kiv.eegdatabase.data.annotation.SolrId;
import cz.zcu.kiv.eegdatabase.logic.indexing.IndexField;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * ExperimentOptParamDef generated by hbm2java
 */
//@Indexed
@Entity
@javax.persistence.Table(name = "EXPERIMENT_OPT_PARAM_DEF")
public class ExperimentOptParamDef implements java.io.Serializable {
    //@DocumentId
    @SolrId
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "EXPERIMENT_OPT_PARAM_DEF_ID")
    private int experimentOptParamDefId;
    /*
    @Fields({
            @Field(index = Index.TOKENIZED), //same property indexed multiple times
            @Field(name = "paramName")}) //use a different field name
    */
    @SolrField(name = IndexField.NAME)
    @Column(name = "PARAM_NAME")
    private String paramName;
    /*
    @Fields({
            @Field(index = Index.TOKENIZED), //same property indexed multiple times
            // @Field(store=Store.YES),
            @Field(name = "paramDataType")}) //use a different field name
    */
    @SolrField(name = IndexField.PARAM_DATATYPE)
    @Column(name = "PARAM_DATA_TYPE")
    private String paramDataType;
    @OneToMany(mappedBy = "experimentOptParamDef")
    private Set<ExperimentOptParamVal> experimentOptParamVals = new HashSet<ExperimentOptParamVal>(0);
    @ManyToMany(cascade = {CascadeType.PERSIST, CascadeType.MERGE})
    private Set<ResearchGroup> researchGroups = new HashSet<ResearchGroup>(0);
    @OneToMany(mappedBy = "experimentOptParamDef")
    private Set<ExperimentOptParamDefGroupRel> experimentOptParamDefGroupRels = new HashSet<ExperimentOptParamDefGroupRel>(0);
    @Column(name = "IS_DEFAULT")
    private int defaultNumber;

    public ExperimentOptParamDef() {
    }

    public ExperimentOptParamDef(int experimentOptParamDefId, String paramName, String paramDataType) {
        this.experimentOptParamDefId = experimentOptParamDefId;
        this.paramName = paramName;
        this.paramDataType = paramDataType;
    }

    public ExperimentOptParamDef(int experimentOptParamDefId, String paramName, String paramDataType, Set<ExperimentOptParamVal> experimentOptParamVals) {
        this.experimentOptParamDefId = experimentOptParamDefId;
        this.paramName = paramName;
        this.paramDataType = paramDataType;
        this.experimentOptParamVals = experimentOptParamVals;
    }

    public int getExperimentOptParamDefId() {
        return this.experimentOptParamDefId;
    }

    public void setExperimentOptParamDefId(int experimentOptParamDefId) {
        this.experimentOptParamDefId = experimentOptParamDefId;
    }

    public String getParamName() {
        return this.paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamDataType() {
        return this.paramDataType;
    }

    public void setParamDataType(String paramDataType) {
        this.paramDataType = paramDataType;
    }

    public Set<ExperimentOptParamVal> getExperimentOptParamVals() {
        return this.experimentOptParamVals;
    }

    public void setExperimentOptParamVals(Set<ExperimentOptParamVal> experimentOptParamVals) {
        this.experimentOptParamVals = experimentOptParamVals;
    }

    public Set<ResearchGroup> getResearchGroups() {
        return researchGroups;
    }

    public void setResearchGroups(Set<ResearchGroup> researchGroups) {
        this.researchGroups = researchGroups;
    }

    public Set<ExperimentOptParamDefGroupRel> getExperimentOptParamDefGroupRels() {
        return experimentOptParamDefGroupRels;
    }

    public void setExperimentOptParamDefGroupRels(Set<ExperimentOptParamDefGroupRel> experimentOptParamDefGroupRels) {
        this.experimentOptParamDefGroupRels = experimentOptParamDefGroupRels;
    }

    public int getDefaultNumber() {
        return defaultNumber;
    }

    public void setDefaultNumber(int defaultNumber) {
        this.defaultNumber = defaultNumber;
    }
}


