/*******************************************************************************
 * This file is part of the EEG-database project
 * 
 *   ==========================================
 *  
 *   Copyright (C) 2013 by University of West Bohemia (http://www.zcu.cz/en/)
 *  
 *  ***********************************************************************************************************************
 *  
 *   Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *   the License. You may obtain a copy of the License at
 *  
 *       http://www.apache.org/licenses/LICENSE-2.0
 *  
 *   Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 *   an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 *   specific language governing permissions and limitations under the License.
 *  
 *  ***********************************************************************************************************************
 *  
 *   FileMetadataParamDef.java, 2013/10/02 00:01 Jakub Rinkes
 ******************************************************************************/
package cz.zcu.kiv.eegdatabase.data.pojo;
// Generated 19.1.2010 23:18:53 by Hibernate Tools 3.2.1.GA

import cz.zcu.kiv.eegdatabase.data.annotation.SolrField;
import cz.zcu.kiv.eegdatabase.data.annotation.SolrId;
import cz.zcu.kiv.eegdatabase.logic.indexing.IndexField;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * FileMetadataParamDef generated by hbm2java
 */
@Entity
@javax.persistence.Table(name="FILE_METADATA_PARAM_DEF")
public class FileMetadataParamDef implements java.io.Serializable {
    @SolrId
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "FILE_METADATA_PARAM_DEF_ID")
    private int fileMetadataParamDefId;
    @SolrField(name = IndexField.NAME)
    @Column(name = "PARAM_NAME")
    private String paramName;
    @SolrField(name = IndexField.PARAM_DATATYPE)
    @Column(name = "PARAM_DATA_TYPE")
    private String paramDataType;
    @OneToMany(mappedBy = "fileMetadataParamDef")
    private Set<FileMetadataParamVal> fileMetadataParamVals = new HashSet<FileMetadataParamVal>(0);
    @ManyToMany(cascade = {CascadeType.PERSIST, CascadeType.MERGE})
    private Set<ResearchGroup> researchGroups = new HashSet<ResearchGroup>(0);
    @OneToMany(mappedBy = "fileMetadataParamDef")
    private Set<FileMetadataParamDefGroupRel> fileMetadataParamDefGroupRels = new HashSet<FileMetadataParamDefGroupRel>(0);
    @Column(name = "IS_DEFAULT")
    private int defaultNumber;

    public FileMetadataParamDef() {
    }

    public FileMetadataParamDef(int fileMetadataParamDefId, String paramName, String paramDataType) {
        this.fileMetadataParamDefId = fileMetadataParamDefId;
        this.paramName = paramName;
        this.paramDataType = paramDataType;
    }

    public FileMetadataParamDef(int fileMetadataParamDefId, String paramName, String paramDataType, Set<FileMetadataParamVal> fileMetadataParamVals) {
        this.fileMetadataParamDefId = fileMetadataParamDefId;
        this.paramName = paramName;
        this.paramDataType = paramDataType;
        this.fileMetadataParamVals = fileMetadataParamVals;
    }

    public int getFileMetadataParamDefId() {
        return this.fileMetadataParamDefId;
    }

    public void setFileMetadataParamDefId(int fileMetadataParamDefId) {
        this.fileMetadataParamDefId = fileMetadataParamDefId;
    }

    public String getParamName() {
        return this.paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamDataType() {
        return this.paramDataType;
    }

    public void setParamDataType(String paramDataType) {
        this.paramDataType = paramDataType;
    }

    public Set<FileMetadataParamVal> getFileMetadataParamVals() {
        return this.fileMetadataParamVals;
    }

    public void setFileMetadataParamVals(Set<FileMetadataParamVal> fileMetadataParamVals) {
        this.fileMetadataParamVals = fileMetadataParamVals;
    }

    public Set<ResearchGroup> getResearchGroups() {
        return researchGroups;
    }

    public void setResearchGroups(Set<ResearchGroup> researchGroups) {
        this.researchGroups = researchGroups;
    }

    public Set<FileMetadataParamDefGroupRel> getFileMetadataParamDefGroupRels() {
        return fileMetadataParamDefGroupRels;
    }

    public void setFileMetadataParamDefGroupRels(Set<FileMetadataParamDefGroupRel> fileMetadataParamDefGroupRels) {
        this.fileMetadataParamDefGroupRels = fileMetadataParamDefGroupRels;
    }

    public int getDefaultNumber() {
        return defaultNumber;
    }

    public void setDefaultNumber(int defaultNumber) {
        this.defaultNumber = defaultNumber;
    }
}


