/*******************************************************************************
 * This file is part of the EEG-database project
 * 
 *   ==========================================
 *  
 *   Copyright (C) 2013 by University of West Bohemia (http://www.zcu.cz/en/)
 *  
 *  ***********************************************************************************************************************
 *  
 *   Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *   the License. You may obtain a copy of the License at
 *  
 *       http://www.apache.org/licenses/LICENSE-2.0
 *  
 *   Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 *   an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 *   specific language governing permissions and limitations under the License.
 *  
 *  ***********************************************************************************************************************
 *  
 *   Hardware.java, 2013/10/02 00:01 Jakub Rinkes
 ******************************************************************************/
package cz.zcu.kiv.eegdatabase.data.pojo;
// Generated 19.1.2010 23:18:53 by Hibernate Tools 3.2.1.GA

import cz.zcu.kiv.eegdatabase.data.annotation.SolrField;
import cz.zcu.kiv.eegdatabase.data.annotation.SolrId;
import cz.zcu.kiv.eegdatabase.logic.indexing.IndexField;

import javax.persistence.*;
import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * Hardware generated by hbm2java
 */
@Entity
//@Indexed
@javax.persistence.Table(name="HARDWARE")
public class Hardware implements Serializable {
    //@DocumentId
    @SolrId
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "HARDWARE_ID")
    private int hardwareId;
    /*
    @Fields({
            @Field(index = Index.TOKENIZED), //same property indexed multiple times
            @Field(name = "title")}) //use a different field name
    */
    @SolrField(name = IndexField.TITLE)
    @Column(name = "TITLE")
    private String title;
    /*
    @Fields({
            @Field(index = Index.TOKENIZED), //same property indexed multiple times
            @Field(name = "type")}) //use a different field name
    */
    @SolrField(name = IndexField.PARAM_DATATYPE)
    @Column(name = "TYPE")
    private String type;
    /*
    @Fields({
            @Field(index = Index.TOKENIZED), //same property indexed multiple times
            @Field(name = "description")}) //use a different field name
    */
    @SolrField(name = IndexField.TEXT)
    @Column(name = "DESCRIPTION")
    private String description;
    @ManyToMany(cascade = {CascadeType.PERSIST, CascadeType.MERGE})
    private Set<Experiment> experiments = new HashSet<Experiment>(0);
    @ManyToMany(cascade = {CascadeType.PERSIST, CascadeType.MERGE})
    private Set<ResearchGroup> researchGroups = new HashSet<ResearchGroup>(0);
    @OneToMany(mappedBy = "hardware")
    private Set<HardwareGroupRel> hardwareGroupRels = new HashSet<HardwareGroupRel>(0);
    @Column(name = "ORA_ROWSCN", insertable = false, updatable = false)
    private long scn;
    @Column(name = "IS_DEFAULT")
    private int defaultNumber;

    public Hardware() {
    }

    public Hardware(int hardwareId, String title, String type) {
        this.hardwareId = hardwareId;
        this.title = title;
        this.type = type;
    }

    public Hardware(int hardwareId, String title, String type, String description, Set<Experiment> experiments) {
        this.hardwareId = hardwareId;
        this.title = title;
        this.type = type;
        this.description = description;
        this.experiments = experiments;
    }

    public Hardware(int hardwareId, String title, String type, String description, int defaultNumber, Set<Experiment> experiments, Set<ResearchGroup> researchGroups) {
        this.hardwareId = hardwareId;
        this.title = title;
        this.type = type;
        this.description = description;
        this.defaultNumber = defaultNumber;
        this.experiments = experiments;
        this.researchGroups = researchGroups;
    }

    public int getHardwareId() {
        return this.hardwareId;
    }

    public void setHardwareId(int hardwareId) {
        this.hardwareId = hardwareId;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescription() {
        return this.description;
    }

    public long getScn() {
        return scn;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setDefaultNumber(int defaultNumber){
        this.defaultNumber = defaultNumber;
    }

    public int getDefaultNumber() {
        return defaultNumber;
    }

    public Set<Experiment> getExperiments() {
        return this.experiments;
    }

    public void setExperiments(Set<Experiment> experiments) {
        this.experiments = experiments;
    }

    public Set<ResearchGroup> getResearchGroups() {
        return researchGroups;
    }

    public Set<HardwareGroupRel> getHardwareGroupRels() {
        return hardwareGroupRels;
    }

    public void setHardwareGroupRels(Set<HardwareGroupRel> hardwareGroupRels) {
        this.hardwareGroupRels = hardwareGroupRels;
    }

    public void setResearchGroups(Set<ResearchGroup> researchGroups) {
        this.researchGroups = researchGroups;
    }

}


