/*******************************************************************************
 * This file is part of the EEG-database project
 * 
 *   ==========================================
 *  
 *   Copyright (C) 2013 by University of West Bohemia (http://www.zcu.cz/en/)
 *  
 *  ***********************************************************************************************************************
 *  
 *   Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *   the License. You may obtain a copy of the License at
 *  
 *       http://www.apache.org/licenses/LICENSE-2.0
 *  
 *   Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 *   an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 *   specific language governing permissions and limitations under the License.
 *  
 *  ***********************************************************************************************************************
 *  
 *   Weather.java, 2013/10/02 00:01 Jakub Rinkes
 ******************************************************************************/
package cz.zcu.kiv.eegdatabase.data.pojo;
// Generated 19.1.2010 23:18:53 by Hibernate Tools 3.2.1.GA

import cz.zcu.kiv.eegdatabase.data.annotation.SolrField;
import cz.zcu.kiv.eegdatabase.data.annotation.SolrId;
import cz.zcu.kiv.eegdatabase.logic.indexing.IndexField;

import javax.persistence.*;
import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * Weather generated by hbm2java
 */
//@Indexed
@Entity
@javax.persistence.Table(name="WEATHER")
public class Weather implements Serializable {
    //@DocumentId
    @SolrId
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "WEATHER_ID")
    private int weatherId;
    /*
    @Fields({
            @Field(index = Index.TOKENIZED), //same property indexed multiple times
            @Field(name = "description")}) //use a different field name
    */
    @SolrField(name = IndexField.TEXT)
    @Column(name = "DESCRIPTION")
    private String description;
    /*
    @Fields({
            @Field(index = Index.TOKENIZED), //same property indexed multiple times
            @Field(name = "title")}) //use a different field name
    */
    @SolrField(name = IndexField.TITLE)
    @Column(name = "TITLE")
    private String title;
    @OneToMany(mappedBy = "weather")
    private Set<Experiment> experiments = new HashSet<Experiment>(0);
    @ManyToMany(cascade = {CascadeType.PERSIST, CascadeType.MERGE})
    private Set<ResearchGroup> researchGroups = new HashSet<ResearchGroup>(0);
    @OneToMany(mappedBy = "weather")
    private Set<WeatherGroupRel> weatherGroupRels = new HashSet<WeatherGroupRel>(0);
    @Column(name = "ORA_ROWSCN", insertable = false, updatable = false)
    private long scn;
    @Column(name = "IS_DEFAULT")
    private int defaultNumber;

    public Weather() {
    }

    public Weather(int weatherId, String title) {
        this.weatherId = weatherId;
        this.title = title;
    }

    public Weather(int weatherId, String description, String title, Set<Experiment> experiments) {
        this.weatherId = weatherId;
        this.description = description;
        this.title = title;
        this.experiments = experiments;
    }

    public int getWeatherId() {
        return this.weatherId;
    }

    public void setWeatherId(int weatherId) {
        this.weatherId = weatherId;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getTitle() {
        return this.title;
    }

    public long getScn() {
        return scn;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Set<Experiment> getExperiments() {
        return this.experiments;
    }

    public Set<ResearchGroup> getResearchGroups() {
        return researchGroups;
    }

    public void setResearchGroups(Set<ResearchGroup> researchGroups) {
        this.researchGroups = researchGroups;
    }

    public Set<WeatherGroupRel> getWeatherGroupRels() {
        return weatherGroupRels;
    }

    public void setWeatherGroupRels(Set<WeatherGroupRel> weatherGroupRels) {
        this.weatherGroupRels = weatherGroupRels;
    }

    public int getDefaultNumber() {
        return defaultNumber;
    }

    public void setDefaultNumber(int defaultNumber) {
        this.defaultNumber = defaultNumber;
    }

    public void setExperiments(Set<Experiment> experiments) {
        this.experiments = experiments;
    }
}


