/*******************************************************************************
 * This file is part of the EEG-database project
 * 
 *   ==========================================
 *  
 *   Copyright (C) 2013 by University of West Bohemia (http://www.zcu.cz/en/)
 *  
 *  ***********************************************************************************************************************
 *  
 *   Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 *   the License. You may obtain a copy of the License at
 *  
 *       http://www.apache.org/licenses/LICENSE-2.0
 *  
 *   Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 *   an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 *   specific language governing permissions and limitations under the License.
 *  
 *  ***********************************************************************************************************************
 *  
 *   XMLScenario.java, 2013/10/02 00:01 Jakub Rinkes
 ******************************************************************************/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.zcu.kiv.eegdatabase.logic.xml;

import cz.zcu.kiv.eegdatabase.data.xmlObjects.ScenarioType;

/**
 *
 * @author Jan Štěbeták
 */
class XMLScenario {

    private ScenarioType scType;

    public XMLScenario(ScenarioType scType) {
        this.scType = scType;
    }

    public void writeTitle(String title) {
        scType.setTitle(title);
    }

    public void writeLength(String length){
        if (Integer.parseInt(length) < 0) return;
        scType.setLenght(length);
    }

    public void writeDescription(String desc) {
        scType.setDescription(desc);
    }
}
